List model details

Lists available models with capability metadata, when available from the model catalog, with optional filtering by query, provider, or keys.

GET
/api/models/details
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Query Parameters

query?string

Filter models by name (case-insensitive partial match)

provider?string

Filter by specific provider name

keys?array<string>

Comma-separated list of key IDs to filter models accessible by those keys

limit?integer

Maximum number of results to return (default 20)

Default20
unfiltered?boolean

If true, return all models including those filtered out by provider-level restrictions

Defaultfalse

Response Body

curl -X GET "https://loading/{AI_GATEWAY_URL}/api/models/details?query=string&provider=string&keys=string&limit=20&unfiltered=false"
{
  "models": [
    {
      "name": "string",
      "provider": "string",
      "context_length": 0,
      "max_input_tokens": 0,
      "max_output_tokens": 0,
      "architecture": {
        "modality": "string",
        "tokenizer": "string",
        "instruct_type": "string",
        "input_modalities": [
          "string"
        ],
        "output_modalities": [
          "string"
        ]
      },
      "accessible_by_keys": [
        "string"
      ]
    }
  ],
  "total": 0
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
On this page

On this page

No Headings